/*
 * @file
 * Styles for testimonial-cards.
 */

.testimonial-card {
  --testimonial-card-border-radius: var(--radius-md);
  --testimonial-card-background: var(--theme-surface);
  --testimonial-card-quote-color: var(--theme-text-color-loud);
  --testimonial-card-bottom-gap: var(--spacing-xs);

  position: relative; /* Anchor hyperlink pseudo-element. */
  display: flex;
  container-type: inline-size;
  width: 100%;
  border: 1px solid transparent;
  border-top: solid 10px var(--primary);
  text-align: start;

  &[class*="theme"] {
    background-color: var(--testimonial-card-background);
    border-radius: var(--testimonial-card-border-radius);
    overflow: clip;
  }
}

.testimonial-card__layout {
  display: flex;
  flex-direction: column;
  gap: var(--gap);
  width: 100%;
  padding: var(--spacing-xxs);

  @container (width > 250px) {
    padding: var(--spacing-s);
  }

  @container (width > 500px) {
    display: grid;
    grid-template-columns: auto auto;
  }
}

.testimonial-card__top {
  display: flex;

  @container (width > 600px) {
    align-items: center;

    .testimonial-card--layout-flipped & {
      order: 2;
    }
  }

  img {
    width: 100px;
    height: 100px;
    margin: auto;
    aspect-ratio: 1;
    object-fit: cover;
    border-radius: 50%;

    @container (width > 500px) {
      margin-top: 0;
    }
  }
}

.testimonial-card__bottom {
  flex-grow: 1;
  display: flex;
  flex-direction: column;
  margin: 0;
  padding: 0;
  gap: var(--testimonial-card-bottom-gap);
  background: transparent;
  color: var(--testimonial-card-quote-color);
  text-align: center;
  text-wrap: pretty;
  font-size: inherit;

  @container (width > 500px) {
    text-align: revert;
    justify-content: center;
  }
}

.testimonial-card__quote {
  margin: 0;
  font-size: var(--body-l-size);
  line-height: 1.5;
  letter-spacing: var(--body-l-letter-spacing);

  @container (width > 800px) {
    font-size: var(--body-l-size);
    letter-spacing: var(--body-l-letter-spacing);
  }

  &:has(> div) {
    display: flex;
    flex-direction: column;
    gap: var(--gap);
  }

  * {
    font-size: inherit;
  }

  :first-child {
    margin-top: 0;
  }

  :last-child {
    margin-bottom: 0;
  }

  .text-content {
    font-size: inherit;
    line-height: inherit;
    letter-spacing: inherit;
  }
}

.testimonial-card__citation {
  color: var(--theme-text-color-primary);
  font-family: var(--font-mono);
  font-size: var(--body-m-size);
  font-weight: 600;
  font-style: normal;
  letter-spacing: var(--body-m-letter-spacing);

  * {
    display: inline;
    font-size: inherit;
    font-weight: inherit;
    line-height: inherit;
    letter-spacing: inherit;
    font-family: inherit;
    font-style: normal;
  }
}
